Bug 13125 - removeformat execCommand loses input elements
Summary: removeformat execCommand loses input elements
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 43017
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-19 21:02 PDT by J Boss
Modified: 2010-10-25 14:03 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J Boss 2007-03-19 21:02:26 PDT
In an iframe with designMode on, if execCommand('removeformat',false,null) is called on the iframe and the selection contains an <input> element, the <input> element is removed from the document.
Comment 1 Alex Steitz 2007-05-25 03:28:48 PDT
This also true for any image. All images within the selection get removed from the document when calling "removeFormat".
Comment 3 Ryosuke Niwa 2010-10-25 14:03:58 PDT
This bug has been fixed since http://trac.webkit.org/changeset/70283.